ReSIDBuilder Class Reference

`#include <resid.h>`

Inheritance diagram for ReSIDBuilder:

## Public Member Functions

| ReSIDBuilder (const char *const name)
unsigned int | availDevices () const
unsigned int | create (unsigned int sids)
const char * | credits () const
global settings
Settings that affect all SIDs
void | filter (bool enable)
| enable/disable filter
void | bias (double dac_bias)
Public Member Functions inherited from sidbuilder
| sidbuilder (const char *const name)
unsigned int | usedDevices () const
sidemu * | lock (EventContext *env, SidConfig::sid_model_t model)
void | unlock (sidemu *device)
void | remove ()
const char * | name () const
const char * | error () const
bool | getStatus () const

## Additional Inherited Members

Protected Types inherited from sidbuilder
typedef std::set< sidemu * > | emuset_t
Protected Attributes inherited from sidbuilder
std::string | m_errorBuffer
emuset_t | sidobjs
bool | m_status

## Detailed Description

ReSID Builder Class

## Member Function Documentation

unsigned int ReSIDBuilder::availDevices | ( |  | ) | const

inline virtual

Available sids.

Returns
  the number of available sids, 0 = endless.

Implements sidbuilder.

void ReSIDBuilder::bias | ( | double | dac_bias | ) |

The bias is given in millivolts, and a maximum reasonable control range is approximately -500 to 500.

unsigned int ReSIDBuilder::create | ( | unsigned int | sids | ) |

virtual

Create the sid emu.

Parameters

  sids | the number of required sid emu

Implements sidbuilder.

const char * ReSIDBuilder::credits | ( |  | ) | const

virtual

Get the builder's credits.

Returns
  credits

Implements sidbuilder.

The documentation for this class was generated from the following files:

- resid.h
- resid-builder.cpp